您的位置:主页 > 成功案例 > 斯伦贝谢软件使用技巧 > GeoFrame操作技巧 >

成功案例

GeoFrame操作技巧>>

66.GeoFrame2012安装到RHEL7.5上的技巧

目前GeoFrame2012官方版本建议能支持的Linux操作系统的最高版本为RHEL6.8,但是随着服务器不断更新,很多新出的服务器已经无法安装RHEL6而只能安装RHEL7版本操作系统,那么如何才能顺利将GeoFrame2012装在RHEL7上呢,下面有四个地方需要在安装的时候注意:

1)默认安装的操作系统包不够,需要先用斯伦贝谢公司提供的打包工具gfrhel7.sh扫描和安装所需的其他系统包

2)在安装oracle11g的时候会报错:Error in invoking target 'agent nmhs' of makefile

需要到$ORACLE_HOME/sysman/lib/ ins_emagent.mk 更改一下配置

$(SYSMANBIN)emdctl:

$(MK_EMAGENT_NMECTL) -lnnz11

其中-lnnz11为新添加参数

3)在安装完成GeoFrame软件之后,需要重新连接dll库

分别进入/lib和/lib64

ln libXm.so.4 libXm.so.3

4)将新的GeoFrame替换原有run/目录下的GeoFrame启动脚本

地址:北京市朝阳区酒仙桥路14号兆维华灯大厦

邮编:100015 传真:010-64309502

Copyright © 2002-2015 斯伦贝谢科技服务(北京)有限公司  京ICP备 06043577 号

技术支持:北京天润飞华科技有限公司